/* BSD style copyright, see sbuf.c */

#ifndef sbuf_H_included
#define sbuf_H_included

#include <sys/types.h>

typedef struct sbuf {
  unsigned char* b_data;
  size_t b_size, b_pos, b_len, b_rest;
} sbuf;

void sbuf_zero( sbuf* );
int sbuf_extend( sbuf*, size_t );

#endif
